function [XI1,P,J2,J3,LA] = INVAR(STRESS)
%CALCULATES STRESS INVARIANTS
%july 2, 2007
%bill mccarron, asgm engineering
%xi1= 1st stress inv
%p  = mean stress
%j2 = 2nd dev stress invar
%j3 = 3rd dev stress invar
%LA = Lode Angle
FAC = 0.9999999;
S   = [1 1 1 0 0 0];
XI1 = STRESS(1)+STRESS(2)+STRESS(3); P = XI1/3;
S   = STRESS-S*P;
J2  = 0.5*(S(1)^2 +S(2)^2 +S(3)^2) + S(4)^2 + S(5)^2 + S(6)^2;
J3  = S(1)* (S(2)*S(3)-S(5)*S(5))...
     -S(4)* (S(4)*S(3)-S(5)*S(6))...
     +S(6)* (S(4)*S(5)-S(2)*S(6)); 
LA  = acos((0.5*3^1.5)*J3*FAC/J2^1.5)/3;